# UI Asset Plugin

This unofficial Talespire plugin allows finding assets and performing some basic operations on them. This
plugin is ideal for situations when plugin errors have stranded some assets on the board but they cannot
be normally selected. In such cases this plugin can be used to locate and delete such assets or make them
visible. Supports finding assets by cycling though all available assets and/or by name search. Allows the
following options: reveal, hide, fly, ground, and delete.

Donate: http://lordashes.ca/TalespireDonate/Donate.php

## Changelog
```
1.2.9: Updated for compatibility with BR Slab Browser update
1.1.0: Fix for compatibility with BR update (fixed gameInput issue)
1.0.0: Initial release
```

## Install

Use R2ModMan to download and install

## Usage

To enter UI Asset Mode, press the command key. Default key: ``End``

To exit UI Asset Mode, press the command key again.

While in UI Asset Mode, information about the current asset is shown
at the bottom of the page as well as the menu. Please not that the
current asset has nothing to do with the currently selected mini.
The currently selected asset for UI Asset Mode is selected using the
first three options below.

Default Key: ``1`` = Cycle though assets backwards.
Default Key: ``2`` = Cycle though assets forwards.
Default Key: ``3`` = Search for asset by name.\*
Default Key: ``4`` = Select the current asset (for core TS).
Default Key: ``5`` = Reveal current asset (if hidden).
Default Key: ``6`` = Hide current asset (if revealed).
Default Key: ``7`` = Activate fly mode on asset (if grounded).
Default Key: ``8`` = Deactivate fly mode on asset (if flying).
Default Key: ``9`` = Delete asset.

\*: Supports wildcard patterns where astrisks (\*) is any characters
    and question mark (?) is any character.